Upgrade dari Debian Etch ke Lenny

Artikel ini menjelaskan perbedaan-perbedaan dan inkompatibilitas yang mungkin muncul saat server hosting Spanel kami diupgrade pada Debian Etch (4.0) ke Lenny (5.0) pada pertengahan 2009 nanti.

Perangkat lunak

  • PHP4 dihapuskan, semua aplikasi diharapkan dapat berjalan dengan PHP5. Isu-isu perpindahan dari PHP4 ke PHP5 dibahas di artikel ini: Upgrade dari PHP4 ke PHP5.
  • mod_fastci diganti menjadi mod_fcgid. Mod_fcgid kompatibel dengan FastCGI, sehingga aplikasi Anda seharusnya tidak perlu diubah-ubah lagi.

PHP5

  • Extension sqlite3.so (fungsi sqlite3_*()) tidak lagi tersedia. Kini Anda diharapkan menggunakan PDO untuk mengakses database SQLite 3.x. Dan sebagai saran umum kami, sebaiknya semua kode database Anda diganti dari spesifik database (mysql_*(), pg_*(), dll) menjadi menggunakan PDO.

Resita has written 706 articles